org.apache.jmeter.protocol.http.correlation

## Class CreateCssSelectorExtractor

- java.lang.Object
- - org.apache.jmeter.protocol.http.correlation.CreateCssSelectorExtractor

- All Implemented Interfaces:
    CreateExtractorInterface

      public class CreateCssSelectorExtractor
      extends Object
      implements CreateExtractorInterface

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ExtractorData` | `createExtractor(ExtractorCreatorData extractorCreatorData)` Create CSS Selector Extractor
    `TestElement` | `createExtractorTestElement(ExtractorData extractordata, TestElement testElement)` Create CSS Selector extractor TestElement
    `static org.jsoup.nodes.Document` | `getDocument(String html)` Get Jsoup document by parsing HTML string
    `static String` | `toAttributeSelector(String idSelector)` Converts ID selector to attribute selector

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getDocument

          public static org.jsoup.nodes.Document getDocument(String html)

      Get Jsoup document by parsing HTML string
      Parameters:
        `html` - HTML response data
      Returns:
        Jsoup Document object

    - #### toAttributeSelector

          public static String toAttributeSelector(String idSelector)

      Converts ID selector to attribute selector
      Parameters:
        `idSelector` - ID Selector e.g. #prodId
      Returns:
        Attribute selector e.g [id=prodId]

    - #### createExtractor

          public ExtractorData createExtractor(ExtractorCreatorData extractorCreatorData)

      Create CSS Selector Extractor
      Specified by:
        `createExtractor` in interface `CreateExtractorInterface`
      Parameters:
        `extractorCreatorData` - ExtractorCreatorData object.
      Returns:
        ExtractorData object.

    - #### createExtractorTestElement

          public TestElement createExtractorTestElement(ExtractorData extractordata,
                                                        TestElement testElement)

      Create CSS Selector extractor TestElement
      Specified by:
        `createExtractorTestElement` in interface `CreateExtractorInterface`
      Parameters:
        `extractordata` - ExtractorData object
        `testElement` - TestElement object
      Returns:
        TestElement object.

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.